//--------------------------------------------------------------
//  PT.H - Declares class interfaces for Periodic Table
//--------------------------------------------------------------
#ifndef __PT_H__
#define __PT_H__

#include "ptdefs.h"

class CPTDialog : public CDialog
{
private:
    static BOOL bRegistered;
    static BOOL RegisterPTClass();
    void Display (int iAtomicNumber);
    void GetPTData (int nID);
    
    char CB_Focus[4];

public:
    CPTDialog();
    //{{ AFX_MSG (CPTDialog)
    
    virtual void PostNcDestroy()
    {
    	PostQuitMessage(0);
        delete this;
    }
          
    afx_msg void OnClose()
    {
        DestroyWindow();
    }
    afx_msg void OnAbout();
    afx_msg void OnHelp();
    afx_msg void OnOK();
    afx_msg void OnCancel();
    afx_msg void OnShowAtom ();

    afx_msg void OnNameSetFocus();
    afx_msg void OnSymbolSetFocus();
    afx_msg void OnNumberSetFocus();
    afx_msg void OnWeightSetFocus();

    afx_msg void OnH()
    {
        Display (H);
    }
    void OnHe()
    {
        Display (He);
    }
    void OnLi()
    {
        Display (Li);
    }
    void OnBe()
    {
        Display (Be);
    }
    void OnB()
    {
        Display (B);
    }
    void OnC()
    {
        Display (C);
    }
    void OnN()
    {
        Display (N);
    }
    void OnO()
    {
        Display (O);
    }
    void OnF()
    {
        Display (F);
    }
    void OnNe()
    {
        Display (Ne);
    }
    void OnNa()
    {
        Display (Na);
    }
    void OnMg()
    {
        Display (Mg);
    }
    void OnAl()
    {
        Display (Al);
    }
    void OnSi()
    {
        Display (Si);
    }
    void OnP()
    {
        Display (P);
    }
    void OnS()
    {
        Display (S);
    }
    void OnCl()
    {
        Display (Cl);
    }
    void OnAr()
    {
        Display (Ar);
    }
    void OnK()
    {
        Display (K);
    }
    void OnCa()
    {
        Display (Ca);
    }
    void OnSc()
    {
        Display (Sc);
    }
    void OnTi()
    {
        Display (Ti);
    }
    void OnV()
    {
        Display (V);
    }
    void OnCr()
    {
        Display (Cr);
    }
    void OnMn()
    {
        Display (Mn);
    }
    void OnFe()
    {
        Display (Fe);
    }
    void OnCo()
    {
        Display (Co);
    }
    void OnNi()
    {
        Display (Ni);
    }
    void OnCu()
    {
        Display (Cu);
    }
    void OnZn()
    {
        Display (Zn);
    }
    void OnGa()
    {
        Display (Ga);
    }
    void OnGe()
    {
        Display (Ge);
    }
    void OnAs()
    {
        Display (As);
    }
    void OnSe()
    {
        Display (Se);
    }
    void OnBr()
    {
        Display (Br);
    }
    void OnKr()
    {
        Display (Kr);
    }
    void OnRb()
    {
        Display (Rb);
    }
    void OnSr()
    {
        Display (Sr);
    }
    void OnY()
    {
        Display (Y);
    }
    void OnZr()
    {
        Display (Zr);
    }
    void OnNb()
    {
        Display (Nb);
    }
    void OnMo()
    {
        Display (Mo);
    }
    void OnTc()
    {
        Display (Tc);
    }
    void OnRu()
    {
        Display (Ru);
    }
    void OnRh()
    {
        Display (Rh);
    }
    void OnPd()
    {
        Display (Pd);
    }
    void OnAg()
    {
        Display (Ag);
    }
    void OnCd()
    {
        Display (Cd);
    }
    void OnIn()
    {
        Display (In);
    }
    void OnSn()
    {
        Display (Sn);
    }
    void OnSb()
    {
        Display (Sb);
    }
    void OnTe()
    {
        Display (Te);
    }
    void OnI()
    {
        Display (I);
    }
    void OnXe()
    {
        Display (Xe);
    }
    void OnCs()
    {
        Display (Cs);
    }
    void OnBa()
    {
        Display (Ba);
    }
    void OnLa()
    {
        Display (La);
    }
    void OnCe()
    {
        Display (Ce);
    }
    void OnPr()
    {
        Display (Pr);
    }
    void OnNd()
    {
        Display (Nd);
    }
    void OnPm()
    {
        Display (Pm);
    }
    void OnSm()
    {
        Display (Sm);
    }
    void OnEu()
    {
        Display (Eu);
    }
    void OnGd()
    {
        Display (Gd);
    }
    void OnTb()
    {
        Display (Tb);
    }
    void OnDy()
    {
        Display (Dy);
    }
    void OnHo()
    {
        Display (Ho);
    }
    void OnEr()
    {
        Display (Er);
    }
    void OnTm()
    {
        Display (Tm);
    }
    void OnYb()
    {
        Display (Yb);
    }
    void OnLu()
    {
        Display (Lu);
    }
    void OnHf()
    {
        Display (Hf);
    }
    void OnTa()
    {
        Display (Ta);
    }
    void OnW()
    {
        Display (W);
    }
    void OnRe()
    {
        Display (Re);
    }
    void OnOs()
    {
        Display (Os);
    }
    void OnIr()
    {
        Display (Ir);
    }
    void OnPt()
    {
        Display (Pt);
    }
    void OnAu()
    {
        Display (Au);
    }
    void OnHg()
    {
        Display (Hg);
    }
    void OnTl()
    {
        Display (Tl);
    }
    void OnPb()
    {
        Display (Pb);
    }
    void OnBi()
    {
        Display (Bi);
    }
    void OnPo()
    {
        Display (Po);
    }
    void OnAt()
    {
        Display (At);
    }
    void OnRn()
    {
        Display (Rn);
    }
    void OnFr()
    {
        Display (Fr);
    }
    void OnRa()
    {
        Display (Ra);
    }
    void OnAc()
    {
        Display (Ac);
    }
    void OnTh()
    {
        Display (Th);
    }
    void OnPa()
    {
        Display (Pa);
    }
    void OnU()
    {
        Display (U);
    }
    void OnNp()
    {
        Display (Np);
    }
    void OnPu()
    {
        Display (Pu);
    }
    void OnAm()
    {
        Display (Am);
    }
    void OnCm()
    {
        Display (Cm);
    }
    void OnBk()
    {
        Display (Bk);
    }
    void OnCf()
    {
        Display (Cf);
    }
    void OnEs()
    {
        Display (Es);
    }
    void OnFm()
    {
        Display (Fm);
    }
    void OnMd()
    {
        Display (Md);
    }
    void OnNo()
    {
        Display (No);
    }
    void OnLr()
    {
        Display (Lr);
    }
    void OnUnq()
    {
        Display (Unq);
    }
    void OnUnp()
    {
        Display (Unp);
    }
    void OnUnh()
    {
        Display (Unh);
    }
    void OnUns()
    {
        Display (Uns);
    }
    void OnUno()
    {
        Display (Uno);
    }
    void OnUne()
    {
        Display (Une);
    }
    
    //}} AFX_MSG

    DECLARE_MESSAGE_MAP()
};

class CTheApp : public CWinApp
{
public:
    BOOL InitInstance();
};

//  Data stored in memory as an array of structures: _atom[]
//  Weights in parens corresponds to atoms of most stable
//  isotope.  Data retrieved from "Reference Tables for Chemistry,"
//  SUNY, The State Education Dept., Albany, NY  12234.
struct
{
    unsigned char number;          // atomic number
    char symbol[PT_SYMBOLLEN+1];   // three char symbol plus null
    char element[PT_NAMELEN+1];    // full name plus null
    char weight[PT_WEIGHTLEN+1];   // atomic weight plus null
}_atom[] = {
     0, "",   "",                "",
     1, "H" , "Hydrogen",        "1.0079",  
     2, "He", "Helium",          "4.00260", 
     3, "Li", "Lithium",         "6.941",   
     4, "Be", "Beryllium",       "9.01218", 
     5, "B" , "Boron",           "10.81",   
     6, "C" , "Carbon",          "12.011",  
     7, "N" , "Nitrogen",        "14.0067", 
     8, "O" , "Oxygen",          "15.9994", 
     9, "F" , "Fluorine",        "18.998403",
    10, "Ne", "Neon",            "20.179",  
    11, "Na", "Sodium",          "22.98977",
    12, "Mg", "Magnesium",       "24.305",  
    13, "Al", "Aluminum",        "26.98154",
    14, "Si", "Silicon",         "28.0855", 
    15, "P" , "Phosphorus",      "30.97376",
    16, "S" , "Sulfur",          "32.06",   
    17, "Cl", "Chlorine",        "35.453",  
    18, "Ar", "Argon",           "39.948",  
    19, "K" , "Potassium",       "39.0983", 
    20, "Ca", "Calcium",         "40.08",   
    21, "Sc", "Scandium",        "44.9559", 
    22, "Ti", "Titanium",        "47.90",   
    23, "V" , "Vanadium",        "50.9414", 
    24, "Cr", "Chromium",        "51.996",  
    25, "Mn", "Manganese",       "54.9830", 
    26, "Fe", "Iron",            "55.847",  
    27, "Co", "Cobalt",          "58.9332", 
    28, "Ni", "Nickel",          "58.70",   
    29, "Cu", "Copper",          "63.546",  
    30, "Zn", "Zinc",            "65.38",   
    31, "Ga", "Gallium",         "69.72",   
    32, "Ge", "Germanium",       "72.59",   
    33, "As", "Arsenic",         "74.9216", 
    34, "Se", "Selenium",        "78.96",   
    35, "Br", "Bromine",         "79.904",  
    36, "Kr", "Krypton",         "83.80",   
    37, "Rb", "Rubidium",        "85.4678", 
    38, "Sr", "Strontium",       "87.62",   
    39, "Y" , "Yttrium",         "88.9059", 
    40, "Zr", "Zirconium",       "91.22",   
    41, "Nb", "Niobium",         "92.9064", 
    42, "Mo", "Molybdenum",      "95.94",   
    43, "Tc", "Technetium",      "(97)",     
    44, "Ru", "Ruthenium",       "101.07",  
    45, "Rh", "Rhodium",         "102.9055",
    46, "Pd", "Palladium",       "106.4",   
    47, "Ag", "Silver",          "107.868", 
    48, "Cd", "Cadmium",         "112.41",  
    49, "In", "Indium",          "114.82",  
    50, "Sn", "Tin",             "118.69",  
    51, "Sb", "Antimony",        "121.75",  
    52, "Te", "Tellurium",       "127.60",  
    53, "I" , "Iodine",          "126.9045",
    54, "Xe", "Xenon",           "131.30",  
    55, "Cs", "Cesium",          "132.9054",
    56, "Ba", "Barium",          "137.33",  
    57, "La", "Lanthium",        "138.9055",
    58, "Ce", "Cerium",          "140.12",  
    59, "Pr", "Praseodymium",    "140.9077",
    60, "Nd", "Neodymium",       "144.24",  
    61, "Pm", "Promethium",      "(145)",    
    62, "Sm", "Samarium",        "150.4",   
    63, "Eu", "Europium",        "151.96",  
    64, "Gd", "Gadolinium",      "157.25",  
    65, "Tb", "Terbium",         "158.9254",
    66, "Dy", "Dysprosium",      "162.50",  
    67, "Ho", "Holmium",         "164.9304",
    68, "Er", "Erbium",          "167.26",  
    69, "Tm", "Thulium",         "168.9342",
    70, "Yb", "Ytterbium",       "173.04",  
    71, "Lu", "Lutetium",        "174.97",  
    72, "Hf", "Hafnium",         "178.49",  
    73, "Ta", "Tantalum",        "180.9479",
    74, "W" , "Tungsten",        "183.85",  
    75, "Re", "Rhenium",         "186.207", 
    76, "Os", "Osmium",          "190.2",   
    77, "Ir", "Iridium",         "192.22",  
    78, "Pt", "Platinum",        "195.09",  
    79, "Au", "Gold",            "196.9665",
    80, "Hg", "Mercury",         "200.59",  
    81, "Tl", "Thallium",        "204.37",  
    82, "Pb", "Lead",            "207.2",   
    83, "Bi", "Bismuth",         "208.9804",
    84, "Po", "Polonium",        "(209)",    
    85, "At", "Astatine",        "(210)",    
    86, "Rn", "Radon",           "(222)",    
    87, "Fr", "Francium",        "(223)",    
    88, "Ra", "Radium",          "226.0254",
    89, "Ac", "Actinium",        "(227)",    
    90, "Th", "Thorium",         "232.0381",
    91, "Pa", "Protactinium",    "231.0359",
    92, "U" , "Uranium",         "238.029", 
    93, "Np", "Neptunium",       "237.0482",
    94, "Pu", "Plutonium",       "(244)",    
    95, "Am", "Americium",       "(243)",    
    96, "Cm", "Curium",          "(247)",    
    97, "Bk", "Berkelium",       "(247)",    
    98, "Cf", "Californium",     "(251)",    
    99, "Es", "Einsteinium",     "(254)",    
   100, "Fm", "Fermium",         "(257)",    
   101, "Md", "Mendelevium",     "(258)",    
   102, "No", "Nobelium",        "(255)",    
   103, "Lr", "Lawrencium",      "(260)",    
   104, "Unq","Unq",             "(261)",     
   105, "Unp","Unp",             "(262)",     
   106, "Unh","Unh",             "(263)",
   107, "Uns","Uns",             "(262)",
   108, "Uno","Uno",             "?.?",
   109, "Une","Une",             "?.?"
};

#endif  // __PT_H__
//--------------------------------------------------------------
//                      End of PT.H 
//--------------------------------------------------------------
